[23969] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23579 - trunk/debathena/scripts/build-server/build-all

daemon@ATHENA.MIT.EDU (Evan Broder)
Sun Mar 8 15:26:56 2009

Date: Sun, 8 Mar 2009 15:26:06 -0400
From: Evan Broder <broder@MIT.EDU>
Message-Id: <200903081926.n28JQ6Xl021950@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: broder
Date: 2009-03-08 15:26:06 -0400 (Sun, 08 Mar 2009)
New Revision: 23579

Modified:
   trunk/debathena/scripts/build-server/build-all/do-build
Log:
When bootstrapping a new release, attempt to get the old source
package with apt-get source if it's not in the build area.

Also, build the debathenificator packages instead of skipping them.


Modified: trunk/debathena/scripts/build-server/build-all/do-build
===================================================================
--- trunk/debathena/scripts/build-server/build-all/do-build	2009-03-08 19:24:54 UTC (rev 23578)
+++ trunk/debathena/scripts/build-server/build-all/do-build	2009-03-08 19:26:06 UTC (rev 23579)
@@ -18,13 +18,25 @@
 fi
 [ -e "$dir" ]
 cd "$dir"
-if [ -e debathenify-* ]; then false; fi
+debathenificator=$(echo ./debathenify-*)
+if [ "$debathenificator" != "./debathenify-*" ]; then
+    "$debathenificator" "${suite}-amd64" -A source binary upload
+    "$debathenificator" "${suite}-i386" source binary upload
+    exit
+fi
 version=$(zcat ${DEBATHENA_APT}/dists/$psuite/*/source/Sources.gz | dpkg-awk -f - "Package:^$package\$" -- Version | sed -n 's/Version: // p')
 if [ -d "built/" ]; then
-    dsc="$dir/built/${package}_$version.dsc"
-else
-    dsc="$dir/${package}_$version.dsc"
+    dsc="built/${package}_$version.dsc"
 fi
+if ! [ -e "$dsc" ]; then
+    if ! [ -e "${package}_$version.dsc" ]; then
+        schroot -c "${psuite}-amd64-sbuild" -- apt-get source "$package"
+    fi
+    if ! [ -e "${package}_${version}_source.changes" ]; then
+        (cd "${package}-${version/-*/}" && dpkg-genchanges -S -sa >"../${package}_${version}_source.changes")
+    fi
+    dsc="${package}_$version.dsc"
+fi
 [ -e "$dsc" ]
 
 if [ -e "${dsc%.dsc}_amd64.changes" ] || [ -e "${dsc%.dsc}_i386.changes" ]; then


home help back first fref pref prev next nref lref last post